Bug 62971 - mkspec script should make sane versions
Summary: mkspec script should make sane versions
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-08 18:38 UTC by Peter Bowen
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-13 17:58:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds the period (475 bytes, patch)
2002-04-08 18:39 UTC, Peter Bowen
no flags Details | Diff

Description Peter Bowen 2002-04-08 18:38:03 UTC
the mkspec script used by "make rpm" should have a period between SUBLEVEL and
EXTRAVERSION.  Currently doing make rpm in a RH kernel creates something similar
to 2.4.180.16-1, which will cause problems for up2date users when they try to
update to a newer errata version.  With the period it would be 2.4.18.0.16,
which, while looking like a binutils version, would allow the upgrade.

Comment 1 Peter Bowen 2002-04-08 18:39:12 UTC
Created attachment 52724 [details]
Adds the period

Comment 2 Alan Cox 2002-04-13 17:58:00 UTC
The current format was based on multivendor discussion in the community. I guess
someone at Red Hat needs to figure out how they should interact with that
consensus that EXTRAVERSION is "-blah".



Comment 3 Arjan van de Ven 2002-04-14 13:29:41 UTC
shrug


Note You need to log in before you can comment on or make changes to this bug.